Name:           python-nampa
Version:        1.0
Release:        %autorelease
Summary:        Pure-python implementation of IDA Pro's FLIRT technology

License:        LGPL-3.0-or-later
URL:            https://github.com/thebabush/nampa
Source:         %{url}/archive/%{version}/nampa-%{version}.tar.gz
# Backport of https://github.com/thebabush/nampa/pull/16.
Patch0:         0001-Drop-the-dependency-on-python-future-16.patch
# https://github.com/thebabush/nampa/pull/17.
Patch1:         0002-Revise-tests-to-use-unittest-and-provide-main-functi.patch

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
Pure-python implementation of IDA Pro's FLIRT technology.}

%description %_description

%package -n     python3-nampa
Summary:        %{summary}

%description -n python3-nampa %_description


%prep
%autosetup -p1 -n nampa-%{version}
# Remove shebang.
sed -i '1d' nampa/flirt.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l nampa
rm -f %{buildroot}%{_bindir}/dumpsig.py


%check
%{py3_test_envvars} %{python3} tests/test_crc.py


%files -n python3-nampa -f %{pyproject_files}
%doc README.md


%changelog
%autochangelog
